Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Stefan Kangas <[email-masked]>
Date: Sat, 17 Apr 2021 08:07:35 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> However, I just noticed that an "emacs -Q" doesn't beep at all on this
> machine -- because I've switched off all "alert" beeps in the OS
> interface.  So `C-g' just says "Quit" in the echo area, and nothing
> else.

What machine is that?

> So in this instance, defaulting `visible-bell' to "on" would make `C-g'
> more intrusive/obnoxious than previously...  which is the opposite
> effect than what was originally discussed in this bug report.

Can anything be done about that, though?

(I guess to turn it off completely you would be expected to set
`ring-bell-function' to #'ignore and visual-bell to nil.)